NullPointer exception if NodeReplicationPolicy does contain maxObjectSize

2016-02-25 21:28 - Robert Waltz

Status: Rejected Start date: 2016-02-25

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 30%

Category: d1_cn_noderegistry Estimated time: 0.00 hour

Target version: CCI-2.4.0   

Story Points:    

Description

org.dataone.cn.ldap.NodeAccess, mapNodeModificationItemList, line 867

/* NodeReplicationPolicy elements and attributes */

if (node.getNodeReplicationPolicy() != null) {

NodeReplicationPolicy rp = node.getNodeReplicationPolicy();

            modificationItemList.addAll

            .

            .

            .

 

check for null before proceeding with updating any of the optional attributes of NodeReplicationPolicy

Related issues:

Related to Infrastructure - Bug #7379: GMN could not save Node document with ... Closed 2015-09-23

History

#1 - 2016-06-07 18:52 - Robert Waltz

- Description updated

#2 - 2016-06-07 18:52 - Robert Waltz

- Target version set to CCI-2.4.0

#3 - 2016-06-07 18:53 - Robert Waltz

- Description updated

#4 - 2016-07-22 19:24 - Robert Waltz

- Assignee changed from Robert Waltz to Rob Nahf

#5 - 2016-10-12 00:49 - Rob Nahf

- Related to Bug #7379: GMN could not save Node document with null NodeReplicationPolicy.max size property added

#6 - 2016-10-12 00:51 - Rob Nahf

- Status changed from New to In Progress

- % Done changed from 0 to 30

seems to be a duplicate of #7379,  but maybe this is a different but related issue.

#7 - 2017-03-03 23:43 - Rob Nahf

2024-04-24 1/2

https://redmine.dataone.org/issues/7379


- Status changed from In Progress to Rejected

a duplicate of another ticket, already fixed.
